PHP5.6 之安装gd
PHP5.6 之安装gd
zhangzhihai 发表于5个月前
PHP5.6 之安装gd
  • 发表于 5个月前
  • 阅读 12
  • 收藏 0
  • 点赞 0
  • 评论 0

腾讯云 新注册用户 域名抢购1元起>>>   

摘要: PHP5.6 中无法使用gd2.0的库,jpeg不能使用,所以得重新下载2.1版本的。

1. 安装PHP,网上有教程

./configure  --prefix=/data/soft_installed/php5.6 --with-config-file-path=/data/soft_installed/php5.6/etc --enable-inline-optimization --disable-debug --disable-rpath --enable-shared --enable-opcache --enable-fpm --with-fpm-user=www --with-fpm-group=www --with-mysql=mysqlnd --with-mysqli=mysqlnd --with-pdo-mysql=mysqlnd --with-gettext --enable-mbstring --with-iconv --with-mcrypt --with-mhash --with-openssl --enable-bcmath --enable-soap --with-libxml-dir --enable-pcntl --enable-shmop --enable-sysvmsg --enable-sysvsem --enable-sysvshm --enable-sockets --with-curl --with-zlib --enable-zip --with-bz2 --with-readline --with-jpeg=/usr/local/jpeg --with-png --with-freetype

 

1. jpeg 需要自行下载编译安装

wget http://www.ijg.org/files/jpegsrc.v9b.tar.gz

tar -zxf jpegsrc.v9b.tar.gz

cd jpeg-9b/

./configure --prefix=/usr/local/jpeg --enable-shared

 

2. 安装gd

1. 从github下载

2. unzip gd.zip

3.  cd gd

4. autoconf autoheader     && aclocal     && libtoolize --ltdl --copy --force     && automake --add-missing --copy

./configure --with-gd=/usr/local/gd

 

安装gd

phpize

./configure --with-php-config=/data/soft_installed/php5.6/bin/php-config --with-jpeg-dir=/usr/local/jpeg --with-png-dir --with-freetype-dir

标签: PHP
共有 人打赏支持
粉丝 3
博文 17
码字总数 2207
×
zhangzhihai
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: